singleton Material(pesi_bodycolor)
{
    mapTo = "pesi_bodycolor";
    diffuseMap[2] = "vehicles/midsize/mercurytracer/supertrack_c.dds";
    specularMap[2] = "vehicles/midsize/mercurytracer/supertrack_s.dds";
    normalMap[2] = "vehicles/midsize/mercurytracer/white_n.dds";
    diffuseMap[1] = "vehicles/midsize/mercurytracer/supertrack_d.dds";
    specularMap[1] = "vehicles/midsize/mercurytracer/supertrack_s.dds";
    normalMap[1] = "vehicles/midsize/mercurytracer/white_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/midsize/mercurytracer/white_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(rollcage_color_pesi)
{
    mapTo = "rollcage_color_pesi";                     ////////////////redu la peiture bizarre     https://wiki.beamng.com/Vehicle_Materials
    diffuseMap[0] = "vehicles/midsize/mercurytracer/white.dds";
    specularMap[0] = "vehicles/midsize/mercurytracer/white.dds";
    normalMap[0] = "vehicles/midsize/mercurytracer/white_n.dds";
    diffuseColor[0] = "1.3 1.3 1.3 0.1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
};

singleton Material(pesi_blackplastic)
{
    mapTo = "pesi_blackplastic";                     ////////////////redu la peiture bizarre     https://wiki.beamng.com/Vehicle_Materials
    diffuseMap[0] = "vehicles/midsize/mercurytracer/white.dds";
    specularMap[0] = "vehicles/midsize/mercurytracer/white.dds";
    normalMap[0] = "vehicles/midsize/mercurytracer/white_n.dds";
    diffuseColor[0] = "1.1 1.1 1.1 1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(exhaust_pesi)
{
    mapTo = "exhaust_pesi";     
    diffuseMap[0] = "vehicles/midsize/mercurytracer/white.dds";
    specularMap[0] = "vehicles/midsize/mercurytracer/white.dds";
    normalMap[0] = "vehicles/midsize/mercurytracer/white_n.dds";
	    diffuseColor[0] = "4 4 4 0.6";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};




singleton Material("midsize.skin.seemslegit")
{
    mapTo = "midsize.skin.seemslegit";
	overlayMap[2] = "vehicles/midsize/mercurytracer/midsize_skin_seemslegit.dds";
    diffuseMap[2] = "vehicles/midsize/midsize_c.dds";
    specularMap[2] = "vehicles/midsize/midsize_s.dds";
    normalMap[2] = "vehicles/midsize/midsize_n.dds";
    diffuseMap[1] = "vehicles/midsize/midsize_d.dds";
    specularMap[1] = "vehicles/midsize/midsize_s.dds";
    normalMap[1] = "vehicles/midsize/midsize_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/midsize/midsize_s.dds";
    normalMap[0] = "vehicles/midsize/midsize_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};









//ledbar

singleton Material(glass)
{
    mapTo = "glass";  
    diffuseMap[0] = "vehicles/midsize/mercurytracer/white.dds";
    specularMap[0] = "vehicles/midsize/mercurytracer/white.dds";
    normalMap[0] = "vehicles/midsize/mercurytracer/white_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0.7 0.7 0.7 0.50";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
};
singleton Material(ledbar)
{
    mapTo = "ledbar";     
    diffuseMap[0] = "vehicles/midsize/mercurytracer/ledbar_d.dds";
    specularMap[0] = "vehicles/midsize/mercurytracer/ledbar_d.dds";
    normalMap[0] = "vehicles/midsize/mercurytracer/white_n.dds";
   specularPower[0] = "15";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(Shine)
{
    mapTo = "Shine";     
    diffuseMap[0] = "vehicles/midsize/mercurytracer/white.dds";
    specularMap[0] = "vehicles/midsize/mercurytracer/white.dds";
    normalMap[0] = "vehicles/midsize/mercurytracer/white_n.dds";
	    diffuseColor[0] = "0.7 0.7 0.7 1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};




//rotary

singleton Material(shine_13b)
{
    mapTo = "shine_13b";     
    diffuseMap[0] = "vehicles/midsize/mercurytracer/white.dds";
    specularMap[0] = "vehicles/midsize/mercurytracer/white.dds";
    normalMap[0] = "vehicles/midsize/mercurytracer/white_n.dds";
	diffuseColor[0] = "0.9 0.9 0.9 1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
	//cubemap = "global_cubemap_metalblurred";
    //dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(reallyshine_13b)
{
    mapTo = "reallyshine_13b";     
    diffuseMap[0] = "vehicles/midsize/mercurytracer/realwhite.dds";
    specularMap[0] = "vehicles/midsize/mercurytracer/realwhite.dds";
    normalMap[0] = "vehicles/midsize/mercurytracer/white_n.dds";
	diffuseColor[0] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
	cubemap = "global_cubemap_metalblurred";
    //dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(enginecolor_13b)
{
    mapTo = "enginecolor_13b";
    diffuseMap[0] = "vehicles/midsize/mercurytracer/yeeted.dds";
    specularMap[0] = "vehicles/midsize/mercurytracer/yeeted.dds";
    normalMap[0] = "vehicles/midsize/mercurytracer/white_n.dds";
    specularPower[0] = "15";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
	diffuseColor[0] = "0.8 0.8 0.8 0.1";
	cubemap = "global_cubemap_metalblurred";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng";
    materialTag1 = "vehicle";
};
singleton Material(rotate_13b)
{
    mapTo = "rotate_13b";
    diffuseMap[0] = "vehicles/midsize/mercurytracer/rotatepoulie.dds";
    specularMap[0] = "vehicles/midsize/mercurytracer/rotatepoulie.dds";
    normalMap[0] = "vehicles/midsize/mercurytracer/white_n.dds";
    specularPower[0] = "15";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng";
    materialTag1 = "vehicle";
};
singleton Material(Black_13b)
{
    mapTo = "Black_13b";                     ////////////////redu la peiture bizarre     https://wiki.beamng.com/Vehicle_Materials
    diffuseMap[0] = "vehicles/midsize/mercurytracer/white.dds";
    specularMap[0] = "vehicles/midsize/mercurytracer/white.dds";
    normalMap[0] = "vehicles/midsize/mercurytracer/white_n.dds";
    diffuseColor[0] = "2 2 2 1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    //cubemap = "global_cubemap_metalblurred";
};
singleton Material(Turbo_13b)
{
    mapTo = "Turbo_13b";
    diffuseMap[0] = "vehicles/midsize/mercurytracer/turbotex.dds";
    specularMap[0] = "vehicles/midsize/mercurytracer/white.dds";
    normalMap[0] = "vehicles/midsize/mercurytracer/white_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
	diffuseColor[0] = "1 1 1 0.07";
    alphaTest = "0";
    alphaRef = "0";
	cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(coupe_engine)
{
    mapTo = "coupe_engine";
    diffuseMap[0] = "vehicles/coupe/coupe_engine_d.dds";
    specularMap[0] = "vehicles/coupe/coupe_engine_s.dds";
    normalMap[0] = "vehicles/coupe/coupe_engine_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(midsize)
{
    mapTo = "midsize";
    diffuseMap[2] = "vehicles/midsize/midsize_c.dds";
    specularMap[2] = "vehicles/midsize/midsize_s.dds";
    normalMap[2] = "vehicles/midsize/midsize_n.dds";
    diffuseMap[1] = "vehicles/midsize/midsize_d.dds";
    specularMap[1] = "vehicles/midsize/midsize_s.dds";
    normalMap[1] = "vehicles/midsize/midsize_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/midsize/midsize_s.dds";
    normalMap[0] = "vehicles/midsize/midsize_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_turbo_exhasut_13b)
{
    mapTo = "midsize_turbo_exhasut_13b";
    diffuseMap[0] = "vehicles/midsize/mercurytracer/exhaust_tex.png";
    specularMap[0] = "vehicles/midsize/mercurytracer/exhaust_tex.png";
    normalMap[0] = "vehicles/midsize/mercurytracer/white_n.dds";
    specularPower[0] = "15";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng";
    materialTag1 = "vehicle";
};

singleton Material(sunburst)
{
    mapTo = "sunburst";
    diffuseMap[2] = "vehicles/sunburst/sunburst_c.dds";
    specularMap[2] = "vehicles/sunburst/sunburst_s.dds";
    normalMap[2] = "vehicles/sunburst/sunburst_n.dds";
    diffuseMap[1] = "vehicles/sunburst/sunburst_d.dds";
    specularMap[1] = "vehicles/sunburst/sunburst_s.dds";
    normalMap[1] = "vehicles/sunburst/sunburst_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sunburst/sunburst_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
